Name:          telepathy-logger
Version:       0.8.2
Release:       1mamba
Summary:       Telepathy logger service
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://telepathy.freedesktop.org/wiki/Logger
Source:        http://telepathy.freedesktop.org/releases/telepathy-logger/telepathy-logger-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libselinux-devel
BuildRequires: libsqlite-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
BuildRequires: telepathy-glib-devel
## AUTOBUILDREQ-END
BuildRequires: intltool
BuildRequires: libsqlite-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%debug_package

%description
Telepathy logger is a headless Observer client that logs information received by the Telepathy framework.
It features pluggable backends to log different sorts of messages, in different formats.
Telepathy logger features a Telepathy-style D-Bus API to expose logs and interesting information related to logging (most frequent contacts, etc.).
It also provides a GLib-compatible client API for making bulk log requests (e.g. for display logs in applications without having to provide lots of information over D-Bus).

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%prep
%setup -q

%build
%configure --enable-gtk-doc \
   --disable-static \
   --enable-introspection=yes \
   --enable-call=yes
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas >/dev/null 2>&1 || :

%posttrans
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas >/dev/null 2>&1 || :

%files
%defattr(-,root,root)
%{_libdir}/girepository-*/TelepathyLogger-*.typelib
%{_libdir}/libtelepathy-logger.so.*
%{_libexecdir}/telepathy-logger
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.*.service
%{_datadir}/glib-*/schemas/org.freedesktop.Telepathy.Logger.gschema.xml
%{_datadir}/telepathy/clients/Logger.client
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/telepathy-logger-0.2
%{_includedir}/telepathy-logger-0.2/%{name}
%{_libdir}/libtelepathy-logger.la
%{_libdir}/libtelepathy-logger.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/gir-*/TelepathyLogger-*.gir
%doc ChangeLog NEWS README

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/telepathy-logger

%changelog
* Thu May 07 2015 Automatic Build System <autodist@mambasoft.it> 0.8.2-1mamba
- automatic update by autodist

* Thu Aug 28 2014 Automatic Build System <autodist@mambasoft.it> 0.8.1-1mamba
- automatic update by autodist

* Mon Jan 28 2013 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Sun Nov 04 2012 Automatic Build System <autodist@mambasoft.it> 0.6.0-1mamba
- automatic version update by autodist

* Tue Apr 10 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.4.0-1mamba
- package created by autospec
